import { HttpGetClient } from './http-get-client.js';
import { HttpDeleteClient } from './http-delete-client.js';
import { HttpPatchClient } from './http-patch-client.js';
import { HttpPostClient } from './http-post-client.js';
import { HttpPutClient } from './http-put-client.js';
import { HttpRequestClient } from '../http-request.js';
import '../http-cache.js';
import '../http-client-props.js';
import '../http-headers.js';
import '../http-params.js';
import '../http-response.js';

type HttpClient = HttpGetClient & HttpPostClient & HttpPatchClient & HttpPutClient & HttpDeleteClient & HttpRequestClient;

export { HttpClient };
