import { BuildStorage } from 'axios-cache-interceptor';

type RedisDriverProps = {
    port: number;
    host: string;
    keyPrefix?: string;
    keySuffix?: string;
};
declare function makeRedisDriverStorage({ port, host, keyPrefix, keySuffix }: RedisDriverProps): BuildStorage;

export { RedisDriverProps, makeRedisDriverStorage };
