import * as axios_cache_interceptor from 'axios-cache-interceptor';
import { HttpCache } from '../../contracts/http-cache.js';
import '../../contracts/http-client-props.js';

declare function makeStorageFromDriver<DriverType extends HttpCache.Driver>({ driver, config }: HttpCache.DriverStorage<DriverType>): axios_cache_interceptor.BuildStorage;

export { makeStorageFromDriver };
