import { HttpResponse } from '../../contracts/http-response.js';

declare function ok<T = any>(headers: unknown, data: T, statusCode?: number): HttpResponse<T>;
declare function created<T = any>(headers: unknown, data: T): HttpResponse<T>;
declare function noContent(headers: unknown): HttpResponse;
declare function genericError(error: any): HttpResponse<any>;

export { created, genericError, noContent, ok };
